> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/users-and-accounts/signature-profile.md).

# Signature Profile

## GET /api/Public/SignatureProfile/List

> List signature profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"SignatureProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/SignatureProfile/List":{"get":{"tags":["SignatureProfile"],"responses":{"200":{"description":"OK"}},"summary":"List signature profile","operationId":"get_SignatureProfile_List"}}}}
```

## GET /api/Public/SignatureProfile/Get/{id}

> Get signature profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"SignatureProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/SignatureProfile/Get/{id}":{"get":{"tags":["SignatureProfile"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}},"summary":"Get signature profile","operationId":"get_SignatureProfile_Get_id"}}}}
```

## POST /api/Public/SignatureProfile/Save

> Save signature profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"SignatureProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.SignatureProfileController+SaveSignatureProfileRequest":{"type":"object","properties":{"signatureProfileId":{"type":"integer","format":"int64"},"profileName":{"type":"string","nullable":true},"signatureType":{"type":"string","nullable":true},"languageCode":{"type":"string","nullable":true},"logoS3Key":{"type":"string","nullable":true},"signatoryText":{"type":"string","nullable":true},"dateTimeText":{"type":"string","nullable":true},"verificationText":{"type":"string","nullable":true},"noteText":{"type":"string","nullable":true},"setAsDefault":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/SignatureProfile/Save":{"post":{"tags":["SignatureProfile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.SignatureProfileController+SaveSignatureProfileRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Save signature profile","operationId":"post_SignatureProfile_Save"}}}}
```

## POST /api/Public/SignatureProfile/Delete

> Delete signature profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"SignatureProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.SignatureProfileController+IdRequest":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}},"additionalProperties":false}}},"paths":{"/api/Public/SignatureProfile/Delete":{"post":{"tags":["SignatureProfile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.SignatureProfileController+IdRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Delete signature profile","operationId":"post_SignatureProfile_Delete"}}}}
```

## POST /api/Public/SignatureProfile/SetDefault

> Set default

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"SignatureProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.SignatureProfileController+IdRequest":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}},"additionalProperties":false}}},"paths":{"/api/Public/SignatureProfile/SetDefault":{"post":{"tags":["SignatureProfile"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.SignatureProfileController+IdRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Set default","operationId":"post_SignatureProfile_SetDefault"}}}}
```

## POST /api/Public/SignatureProfile/UploadLogo

> Upload logo

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"SignatureProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/SignatureProfile/UploadLogo":{"post":{"tags":["SignatureProfile"],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}},"encoding":{"file":{"style":"form"}}}}},"responses":{"200":{"description":"OK"}},"summary":"Upload logo","operationId":"post_SignatureProfile_UploadLogo"}}}}
```

## GET /api/Public/SignatureProfile/Active

> Active

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"SignatureProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/SignatureProfile/Active":{"get":{"tags":["SignatureProfile"],"responses":{"200":{"description":"OK"}},"summary":"Active","operationId":"get_SignatureProfile_Active"}}}}
```

## GET /api/Public/SignatureProfile/Logo

> Logo

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"SignatureProfile"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/SignatureProfile/Logo":{"get":{"tags":["SignatureProfile"],"parameters":[{"name":"key","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Logo","operationId":"get_SignatureProfile_Logo"}}}}
```
